;;; -*- Mode:LISP; Package:USER; Base:10; Fonts:(MEDFNT); Readtable:CL -*-

(in-package 'user)

(export 'setup-user)

(defun setup-user(id &optional defaults)
  (let((homedir (make-pathname :defaults defaults :directory id)))
    (fs:create-directory homedir)
    (with-open-file(out (merge-pathnames "lispm.init" homedir)
			:direction :output)
      (write-line
	";;; -*- Mode:LISP; Package:USER; Base:10; Readtable:CL -*-"
	out)
      (write-line "" out)
      (write-line "(common-lisp t t)" out)
      (write-line "(pkg-goto 'user)" out)
      (write-line "" out))))

